package fr.u_psud.keller.td9;


import android.os.Bundle;
import android.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;


public class PrevFragment extends Fragment {

    // Objets de l'interface
    FrameLayout frameLayoutPrev;

    public PrevFragment() {
        // Required empty public constructor
    }


    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        // Inflate the layout for this fragment
        View view = inflater.inflate(R.layout.fragment_prev, container, false);
        frameLayoutPrev = (FrameLayout) view.findViewById(R.id.frameLayoutPrev);
        return view;
    }

    // Méthodes pour lancer, arrêter ou relader la prévisualisation
    public void lancerPrev(Previsualisation prev) {
        frameLayoutPrev.addView(prev);
    }

    public void arreterPrev() {
        frameLayoutPrev.removeAllViews();
    }

    public void relancerPrev(Previsualisation prev) {
        arreterPrev();
        lancerPrev(prev);
    }

}
